## org.metaabm.function
Interface FGenericFunction

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FFunction, FGeneric, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Implementing Classes:
  FGenericFunctionImpl

    public interface FGenericFunction

extends FGeneric, FFunction

A representation of the model object ' FGeneric Function'.

Author:
  Miles Parker

  The following features are supported:

  - `Output Prototypes`
See Also:
  `MetaABMFunctionPackage.getFGenericFunction()`

Method Summary
`org.eclipse.emf.common.util.EList<FArgumentPrototype>` `getOutputPrototypes()` Returns the value of the 'Output Prototypes' containment reference list.

Methods inherited from interface org.metaabm.function.FFunction
`accepts, getAvailableTypes, getInputPrototypes, isMultiValue, setMultiValue`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOutputPrototypes

    org.eclipse.emf.common.util.EList<FArgumentPrototype> getOutputPrototypes()

  Returns the value of the 'Output Prototypes' containment reference list. The list contents are of type `FArgumentPrototype`. It is bidirectional and its opposite is '`Output Function`'.

  If the meaning of the 'Output Prototypes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Output Prototypes' containment reference list.
  See Also:
    `MetaABMFunctionPackage.getFGenericFunction_OutputPrototypes()`, `FArgumentPrototype.getOutputFunction()`